Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.gandiva
Class ClassName

    java.lang.Object
      com.arjuna.ats.arjuna.gandiva.ClassName

public class ClassName
extends java.lang.Object

Each implementation type may provide an instance of this class to uniquely identify itself to its users and the Inventory.

Since:
  JTS 1.0.
Version:
  $Id: ClassName.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`ClassName()`
`ClassName(ClassName name)`
`ClassName(java.lang.String className)`

Method Summary
`void` | `copy(ClassName className)`
`boolean` | `equals(ClassName className)`
`static ClassName` | `invalid()`
`boolean` | `notEquals(ClassName className)`
`void` | `pack(OutputBuffer buff)`
`java.lang.String` | `stringForm()`
`java.lang.String` | `toString()`
`void` | `unpack(InputBuffer buff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassName

    public ClassName()

### ClassName

    public ClassName(java.lang.String className)

### ClassName

    public ClassName(ClassName name)

Method Detail

### invalid

    public static ClassName invalid()

### stringForm

    public java.lang.String stringForm()

### pack

    public void pack(OutputBuffer buff)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### unpack

    public void unpack(InputBuffer buff)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public void copy(ClassName className)

### equals

    public boolean equals(ClassName className)

### notEquals

    public boolean notEquals(ClassName className)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD